SPHINX_CONT_SEG(1)

NAME
sphinx_cont_seg - Segment a waveform file into non-silence regions

SYNOPSIS
sphinx_cont_seg [ options ]...

DESCRIPTION

This program reads an input file and segments it into individual non-silence regions. It can process either file or read data from microphone. Use following arguments:

-adcdev
    of audio device to use for input.

-alpha
    Preemphasis parameter

-argfile
    file giving extra arguments.

-dither
    Add 1/2-bit noise

-doublebw
    Use double bandwidth filters (same center freq)

-frate
    Frame rate

-infile
    of audio file to use for input.

-input_endian
    Endianness of input data, big or little, ignored if NIST or MS Wav

-lifter
    Length of sin-curve for liftering, or 0 for no liftering.

-logspec
    Write out logspectral files instead of cepstra

-lowerf
    Lower edge of filters

-ncep
    Number of cep coefficients

-nfft
    Size of FFT

-nfilt
    Number of filter banks

-remove_dc
    Remove DC offset from each frame

-remove_noise
    Remove noise with spectral subtraction in mel-energies

-remove_silence
    Enables VAD, removes silence frames from processing

-round_filters
    Round mel filter frequencies to DFT points

-samprate
    Sampling rate

-seed
    Seed for random number generator; if less than zero, pick our own

-singlefile
    a single cleaned file.

-smoothspec
    Write out cepstral-smoothed logspectral files

-transform
    Which type of transform to use to calculate cepstra (legacy, dct, or htk)

-unit_area
    Normalize mel filters to unit area

-upperf
    Upper edge of filters

-vad_postspeech
    Num of silence frames to keep after from speech to silence.

-vad_prespeech
    Num of speech frames to keep before silence to speech.

-vad_startspeech
    Num of speech frames to trigger vad from silence to speech.

-vad_threshold
    Threshold for decision between noise and silence frames. Log-ratio between signal level and noise level.

-verbose
    Show input filenames

-warp_params
    defining the warping function

-warp_type
    Warping function type (or shape)

-wlen
    Hamming window length

AUTHOR
Written by M. K. Ravishankar <rkm@cs.cmu.edu>. This (rather lousy) manual page by David Huggins-Daines <dhuggins@cs.cmu.edu>

COPYRIGHT
Copyright © 1999-2001 Carnegie Mellon University. See the file COPYING included with this package for more information.